services:
  icontainer-php:
    build:
      context: ./php
      args:
        PHP_IMAGE: php:${PHP_VERSION}-fpm-alpine
        CONTAINER_PACKAGE_URL: ${CONTAINER_PACKAGE_URL}
        PHP_EXTENSIONS: ${PHP_EXTENSIONS}
        TZ: ${TZ}
    image: ${IMAGE_NAME}
    volumes:
      - ${SOURCE_DIR}:/www/
      - ${PHP_PHP_CONF_FILE}:/usr/local/etc/php/php.ini
      - ${PHP_FPM_CONF_FILE}:/usr/local/etc/php-fpm.d/www.conf
      - ${PHP_LOG_DIR}:/var/log/php
      - ${DATA_DIR}/composer:/tmp/composer
    restart: always
    cap_add:
      - SYS_PTRACE
